WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

WP sIFR

WP sIFR makes any font possible in your WordPress installation in under five minutes.

v0.6.8.1 - March 23, 2009

  • Small fix to bad header reference if fonts were stored in the theme folder

v0.6.8 - March 19, 2009

  • Can now store fonts with theme
  • Slimmer design with "Settings" and "Advanced Setting" both hidden and toggled with jQuery

v0.6.7 - March 16, 2009

  • Upgraded "Advanced Settings" to be a bit better for multi-line filters (drop shadows).

v0.6.6 - March 13, 2009

  • Fixed stripslashes problem causing extra slashes in "Advanced Settings"

v0.6.5 - March 12, 2009

  • Protection against Adblock on Macs using Firefox 3, so your text still shows up.

v0.6.4 - March 12, 2009

  • Added the ability to change the order that fonts get loaded. Best to use single digits (-9 - 9)
  • Added advanced font settings
  • Fixed fonts so they show up in admin panel even when inactive
  • Fixed font referencing, so now you can use spaces, dashes, and underscores in the font file name
  • sIFR.useStyleCheck = true

v0.6.1 - March 11, 2009

  • Added a browser/os detection to keep from adding to Firefox on Macs since sIFR is currently experiencing difficulty on that setup

v0.6 - March 4, 2009

  • Fixed adding fonts issue, plugin did not allow addition of any fonts if it was ever activated without fonts in the fonts folder
  • Added two sample fonts from sIFR Vault as well for good measure

v0.5.1 - March 4, 2009

  • Updated Options to be compatible with PHP 4

v0.5 - March 4, 2009

  • Simplified header code

v0.4 - March 2, 2009

  • Simplified updating fonts from the fonts folder into the database
  • Fixed adding fonts so that plugin reactivation is no longer required
  • Stopped deletion of settings when plugin is deactivated

v0.3 - February 28, 2009

  • First Public Version

Requires: 2.5 or higher
Compatible up to: 2.7.1
Last Updated: 2009-3-23
Downloads: 19,610

Ratings

4 stars
4.4 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,3,3
100,2,2
100,1,1
100,8,8
92,12,11
100,4,4
83,6,5
100,1,1
100,1,1
100,1,1
50,2,1